Package io.strimzi.systemtest

## Interface Constants

-     public interface Constants

  Interface for keep global constants used across system tests.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ACCEPTANCE` | Tag for acceptance tests, which can be triggered manually for each push/pr/merge on Azure
    `static String` | `ALWAYS_IMAGE_PULL_POLICY` |
    `static long` | `API_CRUISE_CONTROL_POLL` |
    `static long` | `API_CRUISE_CONTROL_TIMEOUT` |
    `static String` | `BRIDGE` | Tag for tests which deploys KafkaBridge resource
    `static int` | `CLUSTER_OPERATOR_METRICS_PORT` |
    `static String` | `CLUSTER_ROLE_BINDING` |
    `static long` | `CO_OPERATION_TIMEOUT_DEFAULT` |
    `static long` | `CO_OPERATION_TIMEOUT_MEDIUM` |
    `static long` | `CO_OPERATION_TIMEOUT_SHORT` |
    `static int` | `COMPONENTS_METRICS_PORT` |
    `static String` | `CONNECT` | Tag for tests which deploys KafkaConnect resource
    `static String` | `CONNECT_COMPONENTS` | Tag for tests which deploys any of KafkaConnect, KafkaConnects2i, KafkaConnector, KafkaMirrorMaker2
    `static String` | `CONNECT_S2I` | Tag for tests which deploys KafkaConnectS2I resource
    `static String` | `CONNECTOR_OPERATOR` | Tag for tests which deploys KafkaConnector resource
    `static String` | `CRUISE_CONTROL` | Tag for tests where cruise control used
    `static String` | `CRUISE_CONTROL_CAPACITY_FILE_PATH` |
    `static String` | `CRUISE_CONTROL_CONFIGURATION_ENV` |
    `static String` | `CRUISE_CONTROL_CONFIGURATION_FILE_PATH` |
    `static String` | `CRUISE_CONTROL_CONTAINER_NAME` |
    `static String` | `CRUISE_CONTROL_NAME` | Cruise Control related parameters
    `static String` | `DEFAULT_SINK_FILE_PATH` |
    `static String` | `DEFAULT_TAG` | Default value which allows execution of tests with any tags
    `static String` | `DEPLOYMENT` |
    `static String` | `DEPLOYMENT_CONFIG` |
    `static String` | `DYNAMIC_CONFIGURATION` | Tag for tests where mainly dynamic configuration is used
    `static String` | `EXTERNAL_CLIENTS_USED` | Tag for tests which use external Kafka clients (called from test code)
    `static String` | `EXTERNAL_LISTENER_DEFAULT_NAME` |
    `static String` | `FLAKY` | Tag for tests, which results are not 100% reliable on all testing environments.
    `static long` | `GLOBAL_CLIENTS_EXCEPT_ERROR_TIMEOUT` |
    `static long` | `GLOBAL_CLIENTS_POLL` |
    `static long` | `GLOBAL_CLIENTS_TIMEOUT` |
    `static long` | `GLOBAL_CRUISE_CONTROL_TIMEOUT` |
    `static long` | `GLOBAL_POLL_INTERVAL` |
    `static long` | `GLOBAL_POLL_INTERVAL_MEDIUM` |
    `static int` | `GLOBAL_RECONCILIATION_COUNT` |
    `static int` | `GLOBAL_STABILITY_OFFSET_COUNT` |
    `static long` | `GLOBAL_STATUS_TIMEOUT` |
    `static long` | `GLOBAL_TIMEOUT` |
    `static long` | `GLOBAL_TRACING_POLL` |
    `static String` | `HELM` | Tag for Helm tests
    `static int` | `HTTP_BRIDGE_DEFAULT_PORT` |
    `static int` | `HTTP_JAEGER_DEFAULT_NODE_PORT` |
    `static int` | `HTTP_JAEGER_DEFAULT_TCP_PORT` |
    `static int` | `HTTP_KEYCLOAK_DEFAULT_NODE_PORT` |
    `static int` | `HTTP_KEYCLOAK_DEFAULT_PORT` | Constants for specific ports
    `static int` | `HTTPS_KEYCLOAK_DEFAULT_NODE_PORT` |
    `static int` | `HTTPS_KEYCLOAK_DEFAULT_PORT` |
    `static long` | `HUGE_CLIENTS_TIMEOUT` |
    `static String` | `IF_NOT_PRESENT_IMAGE_PULL_POLICY` |
    `static String` | `INGRESS` |
    `static String` | `INTERNAL_CLIENTS_USED` | Tag for tests which use internal Kafka clients (used clients in cluster)
    `static String` | `KAFKA_BRIDGE_CLIENTS_LABEL_VALUE` |
    `static String` | `KAFKA_BRIDGE_JSON` | Kafka Bridge JSON encoding
    `static String` | `KAFKA_BRIDGE_JSON_JSON` | Kafka Bridge JSON encoding with JSON embedded format
    `static int` | `KAFKA_BRIDGE_METRICS_PORT` |
    `static String` | `KAFKA_CLIENTS` |
    `static String` | `KAFKA_CLIENTS_LABEL_KEY` | Constants for Kafka clients labels
    `static String` | `KAFKA_CLIENTS_LABEL_VALUE` |
    `static String` | `KAFKA_CRUISE_CONTROL_DEPLOYMENT` |
    `static String` | `KAFKA_EXPORTER_DEPLOYMENT` |
    `static String` | `LOADBALANCER_SUPPORTED` | Tag for tests, which are using LoadBalancer.
    `static long` | `LOGGING_RELOADING_INTERVAL` |
    `static String` | `METRICS` | Tag for tests where metrics are used
    `static String` | `METRICS_CONFIG_YAML_NAME` |
    `static String` | `MIRROR_MAKER` | Tag for tests which deploys KafkaMirrorMaker resource
    `static String` | `MIRROR_MAKER2` | Tag for tests which deploys KafkaMirrorMaker2 resource
    `static String` | `NETWORKPOLICIES_SUPPORTED` | Tag for tests, which are using NetworkPolicies.
    `static String` | `NODEPORT_SUPPORTED` | Tag for tests, which are using NodePort.
    `static String` | `OAUTH` | Tag for oauth tests
    `static String` | `OLM` | Tag for tests where OLM is used for deploying CO
    `static String` | `OLM_UPGRADE` | Tag for olm upgrade tests
    `static long` | `OLM_UPGRADE_INSTALL_PLAN_POLL` |
    `static long` | `OLM_UPGRADE_INSTALL_PLAN_TIMEOUT` |
    `static String` | `PATH_TO_KAFKA_CONNECT_METRICS_CONFIG` |
    `static String` | `PATH_TO_KAFKA_CONNECT_S2I_CONFIG` |
    `static String` | `PATH_TO_KAFKA_CRUISE_CONTROL_METRICS_CONFIG` |
    `static String` | `PATH_TO_KAFKA_METRICS_CONFIG` | File paths for metrics YAMLs
    `static String` | `PATH_TO_KAFKA_MIRROR_MAKER_2_METRICS_CONFIG` |
    `static String` | `PLAIN_LISTENER_DEFAULT_NAME` | Default listeners names
    `static String` | `POD` |
    `static long` | `POLL_INTERVAL_FOR_RESOURCE_CREATION` |
    `static long` | `POLL_INTERVAL_FOR_RESOURCE_DELETION` |
    `static long` | `POLL_INTERVAL_FOR_RESOURCE_READINESS` |
    `static long` | `PRODUCER_TIMEOUT` |
    `static String` | `PROMETHEUS` | Tag for Prometheus tests
    `static long` | `RECONCILIATION_INTERVAL` |
    `static String` | `RECOVERY` | Tag for recovery tests
    `static String` | `REGRESSION` | Tag for regression tests which are stable.
    `static String` | `ROLE_BINDING` |
    `static String` | `ROLLING_UPDATE` | Tag for tests which contains rolling update of resource
    `static String` | `SCALABILITY` | Tag for scalability tests
    `static String` | `SECRET` |
    `static String` | `SERVICE` |
    `static String` | `SMOKE` | Tag for smoke tests
    `static String` | `SPECIFIC` | Tag for tests, which are working only on specific environment and we usually don't want to execute them on all environments.
    `static String` | `STATEFUL_SET` |
    `static String` | `STRIMZI_DEPLOYMENT_NAME` |
    `static String` | `STRIMZI_EXAMPLE_CONSUMER_NAME` |
    `static String` | `STRIMZI_EXAMPLE_PRODUCER_NAME` |
    `static String` | `STRIMZI_EXAMPLE_STREAMS_NAME` |
    `static long` | `TIMEOUT_AVAILABILITY_TEST` |
    `static long` | `TIMEOUT_FOR_CLUSTER_STABLE` |
    `static long` | `TIMEOUT_FOR_LOG` |
    `static long` | `TIMEOUT_FOR_MIRROR_MAKER_COPY_MESSAGES_BETWEEN_BROKERS` |
    `static long` | `TIMEOUT_FOR_RESOURCE_RECOVERY` |
    `static long` | `TIMEOUT_FOR_SEND_RECEIVE_MSG` |
    `static long` | `TIMEOUT_TEARDOWN` |
    `static String` | `TLS_LISTENER_DEFAULT_NAME` |
    `static int` | `TOPIC_OPERATOR_METRICS_PORT` |
    `static String` | `TRACING` | Tag for Tracing tests
    `static String` | `UPGRADE` | Tag for upgrade tests.
    `static int` | `USER_OPERATOR_METRICS_PORT` |
    `static long` | `WAIT_FOR_ROLLING_UPDATE_INTERVAL` |

- - ### Field Detail

    - #### TIMEOUT_FOR_RESOURCE_RECOVERY

          static final long TIMEOUT_FOR_RESOURCE_RECOVERY

    - #### TIMEOUT_FOR_MIRROR_MAKER_COPY_MESSAGES_BETWEEN_BROKERS

          static final long TIMEOUT_FOR_MIRROR_MAKER_COPY_MESSAGES_BETWEEN_BROKERS

    - #### TIMEOUT_FOR_LOG

          static final long TIMEOUT_FOR_LOG

    - #### POLL_INTERVAL_FOR_RESOURCE_CREATION

          static final long POLL_INTERVAL_FOR_RESOURCE_CREATION

    - #### POLL_INTERVAL_FOR_RESOURCE_READINESS

          static final long POLL_INTERVAL_FOR_RESOURCE_READINESS

    - #### POLL_INTERVAL_FOR_RESOURCE_DELETION

          static final long POLL_INTERVAL_FOR_RESOURCE_DELETION

    - #### WAIT_FOR_ROLLING_UPDATE_INTERVAL

          static final long WAIT_FOR_ROLLING_UPDATE_INTERVAL

    - #### TIMEOUT_FOR_SEND_RECEIVE_MSG

          static final long TIMEOUT_FOR_SEND_RECEIVE_MSG

    - #### TIMEOUT_AVAILABILITY_TEST

          static final long TIMEOUT_AVAILABILITY_TEST

    - #### TIMEOUT_FOR_CLUSTER_STABLE

          static final long TIMEOUT_FOR_CLUSTER_STABLE

    - #### TIMEOUT_TEARDOWN

          static final long TIMEOUT_TEARDOWN

    - #### GLOBAL_TIMEOUT

          static final long GLOBAL_TIMEOUT

    - #### GLOBAL_STATUS_TIMEOUT

          static final long GLOBAL_STATUS_TIMEOUT

    - #### GLOBAL_POLL_INTERVAL

          static final long GLOBAL_POLL_INTERVAL

    - #### GLOBAL_POLL_INTERVAL_MEDIUM

          static final long GLOBAL_POLL_INTERVAL_MEDIUM

    - #### PRODUCER_TIMEOUT

          static final long PRODUCER_TIMEOUT

    - #### GLOBAL_TRACING_POLL

          static final long GLOBAL_TRACING_POLL

    - #### API_CRUISE_CONTROL_POLL

          static final long API_CRUISE_CONTROL_POLL

    - #### API_CRUISE_CONTROL_TIMEOUT

          static final long API_CRUISE_CONTROL_TIMEOUT

    - #### GLOBAL_CRUISE_CONTROL_TIMEOUT

          static final long GLOBAL_CRUISE_CONTROL_TIMEOUT

    - #### OLM_UPGRADE_INSTALL_PLAN_TIMEOUT

          static final long OLM_UPGRADE_INSTALL_PLAN_TIMEOUT

    - #### OLM_UPGRADE_INSTALL_PLAN_POLL

          static final long OLM_UPGRADE_INSTALL_PLAN_POLL

    - #### GLOBAL_CLIENTS_POLL

          static final long GLOBAL_CLIENTS_POLL

    - #### GLOBAL_CLIENTS_TIMEOUT

          static final long GLOBAL_CLIENTS_TIMEOUT

    - #### HUGE_CLIENTS_TIMEOUT

          static final long HUGE_CLIENTS_TIMEOUT

    - #### GLOBAL_CLIENTS_EXCEPT_ERROR_TIMEOUT

          static final long GLOBAL_CLIENTS_EXCEPT_ERROR_TIMEOUT

    - #### CO_OPERATION_TIMEOUT_DEFAULT

          static final long CO_OPERATION_TIMEOUT_DEFAULT

    - #### CO_OPERATION_TIMEOUT_SHORT

          static final long CO_OPERATION_TIMEOUT_SHORT

    - #### CO_OPERATION_TIMEOUT_MEDIUM

          static final long CO_OPERATION_TIMEOUT_MEDIUM

    - #### RECONCILIATION_INTERVAL

          static final long RECONCILIATION_INTERVAL

    - #### LOGGING_RELOADING_INTERVAL

          static final long LOGGING_RELOADING_INTERVAL

    - #### GLOBAL_STABILITY_OFFSET_COUNT

          static final int GLOBAL_STABILITY_OFFSET_COUNT

      See Also:
        Constant Field Values

    - #### GLOBAL_RECONCILIATION_COUNT

          static final int GLOBAL_RECONCILIATION_COUNT

    - #### KAFKA_CLIENTS_LABEL_KEY

          static final String KAFKA_CLIENTS_LABEL_KEY

      Constants for Kafka clients labels
      See Also:
        Constant Field Values

    - #### KAFKA_CLIENTS_LABEL_VALUE

          static final String KAFKA_CLIENTS_LABEL_VALUE

      See Also:
        Constant Field Values

    - #### KAFKA_BRIDGE_CLIENTS_LABEL_VALUE

          static final String KAFKA_BRIDGE_CLIENTS_LABEL_VALUE

      See Also:
        Constant Field Values

    - #### KAFKA_CLIENTS

          static final String KAFKA_CLIENTS

      See Also:
        Constant Field Values

    - #### STRIMZI_DEPLOYMENT_NAME

          static final String STRIMZI_DEPLOYMENT_NAME

      See Also:
        Constant Field Values

    - #### ALWAYS_IMAGE_PULL_POLICY

          static final String ALWAYS_IMAGE_PULL_POLICY

      See Also:
        Constant Field Values

    - #### IF_NOT_PRESENT_IMAGE_PULL_POLICY

          static final String IF_NOT_PRESENT_IMAGE_PULL_POLICY

      See Also:
        Constant Field Values

    - #### STRIMZI_EXAMPLE_PRODUCER_NAME

          static final String STRIMZI_EXAMPLE_PRODUCER_NAME

      See Also:
        Constant Field Values

    - #### STRIMZI_EXAMPLE_CONSUMER_NAME

          static final String STRIMZI_EXAMPLE_CONSUMER_NAME

      See Also:
        Constant Field Values

    - #### STRIMZI_EXAMPLE_STREAMS_NAME

          static final String STRIMZI_EXAMPLE_STREAMS_NAME

      See Also:
        Constant Field Values

    - #### HTTP_KEYCLOAK_DEFAULT_PORT

          static final int HTTP_KEYCLOAK_DEFAULT_PORT

      Constants for specific ports
      See Also:
        Constant Field Values

    - #### HTTPS_KEYCLOAK_DEFAULT_PORT

          static final int HTTPS_KEYCLOAK_DEFAULT_PORT

      See Also:
        Constant Field Values

    - #### COMPONENTS_METRICS_PORT

          static final int COMPONENTS_METRICS_PORT

      See Also:
        Constant Field Values

    - #### CLUSTER_OPERATOR_METRICS_PORT

          static final int CLUSTER_OPERATOR_METRICS_PORT

      See Also:
        Constant Field Values

    - #### USER_OPERATOR_METRICS_PORT

          static final int USER_OPERATOR_METRICS_PORT

      See Also:
        Constant Field Values

    - #### TOPIC_OPERATOR_METRICS_PORT

          static final int TOPIC_OPERATOR_METRICS_PORT

      See Also:
        Constant Field Values

    - #### KAFKA_BRIDGE_METRICS_PORT

          static final int KAFKA_BRIDGE_METRICS_PORT

      See Also:
        Constant Field Values

    - #### DEPLOYMENT

          static final String DEPLOYMENT

      See Also:
        Constant Field Values

    - #### SERVICE

          static final String SERVICE

      See Also:
        Constant Field Values

    - #### INGRESS

          static final String INGRESS

      See Also:
        Constant Field Values

    - #### CLUSTER_ROLE_BINDING

          static final String CLUSTER_ROLE_BINDING

      See Also:
        Constant Field Values

    - #### ROLE_BINDING

          static final String ROLE_BINDING

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_CONFIG

          static final String DEPLOYMENT_CONFIG

      See Also:
        Constant Field Values

    - #### SECRET

          static final String SECRET

      See Also:
        Constant Field Values

    - #### KAFKA_EXPORTER_DEPLOYMENT

          static final String KAFKA_EXPORTER_DEPLOYMENT

      See Also:
        Constant Field Values

    - #### KAFKA_CRUISE_CONTROL_DEPLOYMENT

          static final String KAFKA_CRUISE_CONTROL_DEPLOYMENT

      See Also:
        Constant Field Values

    - #### STATEFUL_SET

          static final String STATEFUL_SET

      See Also:
        Constant Field Values

    - #### POD

          static final String POD

      See Also:
        Constant Field Values

    - #### KAFKA_BRIDGE_JSON_JSON

          static final String KAFKA_BRIDGE_JSON_JSON

      Kafka Bridge JSON encoding with JSON embedded format
      See Also:
        Constant Field Values

    - #### KAFKA_BRIDGE_JSON

          static final String KAFKA_BRIDGE_JSON

      Kafka Bridge JSON encoding
      See Also:
        Constant Field Values

    - #### DEFAULT_SINK_FILE_PATH

          static final String DEFAULT_SINK_FILE_PATH

      See Also:
        Constant Field Values

    - #### HTTP_BRIDGE_DEFAULT_PORT

          static final int HTTP_BRIDGE_DEFAULT_PORT

      See Also:
        Constant Field Values

    - #### HTTP_JAEGER_DEFAULT_TCP_PORT

          static final int HTTP_JAEGER_DEFAULT_TCP_PORT

      See Also:
        Constant Field Values

    - #### HTTP_JAEGER_DEFAULT_NODE_PORT

          static final int HTTP_JAEGER_DEFAULT_NODE_PORT

      See Also:
        Constant Field Values

    - #### HTTPS_KEYCLOAK_DEFAULT_NODE_PORT

          static final int HTTPS_KEYCLOAK_DEFAULT_NODE_PORT

      See Also:
        Constant Field Values

    - #### HTTP_KEYCLOAK_DEFAULT_NODE_PORT

          static final int HTTP_KEYCLOAK_DEFAULT_NODE_PORT

      See Also:
        Constant Field Values

    - #### PATH_TO_KAFKA_METRICS_CONFIG

          static final String PATH_TO_KAFKA_METRICS_CONFIG

      File paths for metrics YAMLs

    - #### PATH_TO_KAFKA_CRUISE_CONTROL_METRICS_CONFIG

          static final String PATH_TO_KAFKA_CRUISE_CONTROL_METRICS_CONFIG

    - #### PATH_TO_KAFKA_CONNECT_METRICS_CONFIG

          static final String PATH_TO_KAFKA_CONNECT_METRICS_CONFIG

    - #### PATH_TO_KAFKA_CONNECT_S2I_CONFIG

          static final String PATH_TO_KAFKA_CONNECT_S2I_CONFIG

    - #### PATH_TO_KAFKA_MIRROR_MAKER_2_METRICS_CONFIG

          static final String PATH_TO_KAFKA_MIRROR_MAKER_2_METRICS_CONFIG

    - #### METRICS_CONFIG_YAML_NAME

          static final String METRICS_CONFIG_YAML_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_TAG

          static final String DEFAULT_TAG

      Default value which allows execution of tests with any tags
      See Also:
        Constant Field Values

    - #### ACCEPTANCE

          static final String ACCEPTANCE

      Tag for acceptance tests, which can be triggered manually for each push/pr/merge on Azure
      See Also:
        Constant Field Values

    - #### REGRESSION

          static final String REGRESSION

      Tag for regression tests which are stable.
      See Also:
        Constant Field Values

    - #### UPGRADE

          static final String UPGRADE

      Tag for upgrade tests.
      See Also:
        Constant Field Values

    - #### OLM_UPGRADE

          static final String OLM_UPGRADE

      Tag for olm upgrade tests
      See Also:
        Constant Field Values

    - #### SMOKE

          static final String SMOKE

      Tag for smoke tests
      See Also:
        Constant Field Values

    - #### FLAKY

          static final String FLAKY

      Tag for tests, which results are not 100% reliable on all testing environments.
      See Also:
        Constant Field Values

    - #### SCALABILITY

          static final String SCALABILITY

      Tag for scalability tests
      See Also:
        Constant Field Values

    - #### SPECIFIC

          static final String SPECIFIC

      Tag for tests, which are working only on specific environment and we usually don't want to execute them on all environments.
      See Also:
        Constant Field Values

    - #### NODEPORT_SUPPORTED

          static final String NODEPORT_SUPPORTED

      Tag for tests, which are using NodePort.
      See Also:
        Constant Field Values

    - #### LOADBALANCER_SUPPORTED

          static final String LOADBALANCER_SUPPORTED

      Tag for tests, which are using LoadBalancer.
      See Also:
        Constant Field Values

    - #### NETWORKPOLICIES_SUPPORTED

          static final String NETWORKPOLICIES_SUPPORTED

      Tag for tests, which are using NetworkPolicies.
      See Also:
        Constant Field Values

    - #### PROMETHEUS

          static final String PROMETHEUS

      Tag for Prometheus tests
      See Also:
        Constant Field Values

    - #### TRACING

          static final String TRACING

      Tag for Tracing tests
      See Also:
        Constant Field Values

    - #### HELM

          static final String HELM

      Tag for Helm tests
      See Also:
        Constant Field Values

    - #### OAUTH

          static final String OAUTH

      Tag for oauth tests
      See Also:
        Constant Field Values

    - #### RECOVERY

          static final String RECOVERY

      Tag for recovery tests
      See Also:
        Constant Field Values

    - #### CONNECTOR_OPERATOR

          static final String CONNECTOR_OPERATOR

      Tag for tests which deploys KafkaConnector resource
      See Also:
        Constant Field Values

    - #### CONNECT

          static final String CONNECT

      Tag for tests which deploys KafkaConnect resource
      See Also:
        Constant Field Values

    - #### CONNECT_S2I

          static final String CONNECT_S2I

      Tag for tests which deploys KafkaConnectS2I resource
      See Also:
        Constant Field Values

    - #### MIRROR_MAKER

          static final String MIRROR_MAKER

      Tag for tests which deploys KafkaMirrorMaker resource
      See Also:
        Constant Field Values

    - #### MIRROR_MAKER2

          static final String MIRROR_MAKER2

      Tag for tests which deploys KafkaMirrorMaker2 resource
      See Also:
        Constant Field Values

    - #### CONNECT_COMPONENTS

          static final String CONNECT_COMPONENTS

      Tag for tests which deploys any of KafkaConnect, KafkaConnects2i, KafkaConnector, KafkaMirrorMaker2
      See Also:
        Constant Field Values

    - #### BRIDGE

          static final String BRIDGE

      Tag for tests which deploys KafkaBridge resource
      See Also:
        Constant Field Values

    - #### INTERNAL_CLIENTS_USED

          static final String INTERNAL_CLIENTS_USED

      Tag for tests which use internal Kafka clients (used clients in cluster)
      See Also:
        Constant Field Values

    - #### EXTERNAL_CLIENTS_USED

          static final String EXTERNAL_CLIENTS_USED

      Tag for tests which use external Kafka clients (called from test code)
      See Also:
        Constant Field Values

    - #### METRICS

          static final String METRICS

      Tag for tests where metrics are used
      See Also:
        Constant Field Values

    - #### CRUISE_CONTROL

          static final String CRUISE_CONTROL

      Tag for tests where cruise control used
      See Also:
        Constant Field Values

    - #### DYNAMIC_CONFIGURATION

          static final String DYNAMIC_CONFIGURATION

      Tag for tests where mainly dynamic configuration is used
      See Also:
        Constant Field Values

    - #### ROLLING_UPDATE

          static final String ROLLING_UPDATE

      Tag for tests which contains rolling update of resource
      See Also:
        Constant Field Values

    - #### OLM

          static final String OLM

      Tag for tests where OLM is used for deploying CO
      See Also:
        Constant Field Values

    - #### CRUISE_CONTROL_NAME

          static final String CRUISE_CONTROL_NAME

      Cruise Control related parameters
      See Also:
        Constant Field Values

    - #### CRUISE_CONTROL_CONTAINER_NAME

          static final String CRUISE_CONTROL_CONTAINER_NAME

      See Also:
        Constant Field Values

    - #### CRUISE_CONTROL_CONFIGURATION_ENV

          static final String CRUISE_CONTROL_CONFIGURATION_ENV

      See Also:
        Constant Field Values

    - #### CRUISE_CONTROL_CAPACITY_FILE_PATH

          static final String CRUISE_CONTROL_CAPACITY_FILE_PATH

      See Also:
        Constant Field Values

    - #### CRUISE_CONTROL_CONFIGURATION_FILE_PATH

          static final String CRUISE_CONTROL_CONFIGURATION_FILE_PATH

      See Also:
        Constant Field Values

    - #### PLAIN_LISTENER_DEFAULT_NAME

          static final String PLAIN_LISTENER_DEFAULT_NAME

      Default listeners names
      See Also:
        Constant Field Values

    - #### TLS_LISTENER_DEFAULT_NAME

          static final String TLS_LISTENER_DEFAULT_NAME

      See Also:
        Constant Field Values

    - #### EXTERNAL_LISTENER_DEFAULT_NAME

          static final String EXTERNAL_LISTENER_DEFAULT_NAME

      See Also:
        Constant Field Values